
.main{
    background-color: #f7f7f7;
    padding-top: calc(108 * var(--rpx-50));
    padding-bottom: calc(150 * var(--rpx-50));
}

.main .wrapper{
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.main .wrapper .left{
    flex: 0 0 auto;
    width: calc(50% - 80 * var(--rpx-50));
}

.swiper-platform {
    width: 100%;
    position: relative;
}


.swiper-platform .text{
    font-size: calc(32 * var(--rpx));
    line-height: 1.5;
}

.swiper-platform .picture{
    width: 120%;
    margin-left: -10%;
    margin-top: calc(-30 * var(--rpx));
}

.swiper-platform .picture img{
    display: block;
    width: 100%;
    height: auto;
}

.main .wrapper .right{
    flex: 0 0 auto;
    width: calc(50% - 80 * var(--rpx-50));
}

.platform-mobile {
    display: none;
}

.swiper-platform .btn-prev,
.swiper-platform .btn-next {
    display: none;
}

.right .platform{
    display: flex;
    flex-direction: column;
    cursor: pointer;
    background-color: #fff; 

    padding: calc(45 * var(--rpx-50)) calc(54 * var(--rpx-50));
    margin-bottom: calc(30 * var(--rpx)); 
    position: relative;
    transition: .4s background-color, .4s color;
    overflow: hidden;
}

.right .platform.active{
    color: #fff;
    background-color: var(--theme-blue);
    transition: .2s background-color, .2s color;
}

.right .platform>*{
    position: relative;
    z-index: 220;
}

.right .platform::after{
    content: "";
    position: absolute;
    width: 60%;
    height: auto;
    aspect-ratio: 1/1;
    right: 0;
    top: calc(-10 * var(--rpx));
    background: url("../images/platform_texture.webp") center/contain no-repeat;
    z-index: 210;
    opacity: 0;
    transition: .2s;
}

.right .platform.active::after{
    opacity: 1;
}

.platform .title{
    font-size: calc(32 * var(--rpx));
}

.platform .intro{
    margin-top: calc(18 * var(--rpx));
    font-size: 1rem;
    width: clamp(360px, calc(12.5vw + 240px), 480px);
}

.platform .tags{
    margin-top: calc(40 * var(--rpx-50));
    display: flex;
    gap: calc(20 * var(--rpx));
    flex-wrap: wrap;
}

.platform .tag{
    padding: calc(9em / 14) calc(20em / 14);
    font-size: calc(14 * var(--rpx));
    line-height: calc(18em / 14);
    border-radius: calc(18em / 14);
    border: 1px solid currentColor;
    display: flex;
    align-items: center;
}

.platform .tag::before{
    content: "";
    width: calc(6 * var(--rpx-75));
    height: calc(6 * var(--rpx-75));
    border-radius: 50%;
    background-color: currentColor;
    margin-right: .75em;
}

@media (max-width: 828px) {
    .main {
        padding-top: calc(48 * var(--rpx));
        padding-bottom: calc(48 * var(--rpx));
    }

    .main .wrapper {
        flex-direction: column;
    }

    .main .wrapper .left {
        width: 100%;
    }

    .main .wrapper .right {
        display: none;
    }

    .platform-mobile {
        display: flex;
        flex-direction: column;
        margin-top: calc(24 * var(--rpx));
        padding: calc(30 * var(--rpx));
        background-color: #fff;
    }

    .swiper-platform .text {
        font-size: calc(36 * var(--rpx));
    }

    .swiper-platform .picture {
        width: 60%;
        margin: calc(20 * var(--rpx)) auto;
    }

    .platform-mobile .title {
        font-size: calc(40 * var(--rpx));
    }

    .platform-mobile .intro {
        margin-top: calc(12 * var(--rpx));
        font-size: 1rem;
        width: 100%;
    }

    .platform-mobile .tags {
        margin-top: calc(24 * var(--rpx));
        gap: calc(16 * var(--rpx));
    }

    .platform-mobile .tag {
        font-size: calc(24 * var(--rpx));
    }

    .swiper-platform .btn-prev,
    .swiper-platform .btn-next {
        display: flex;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        width: calc(72 * var(--rpx));
        height: calc(72 * var(--rpx));
        cursor: pointer;
        z-index: 10;
        background: var(--theme-blue);
        border-radius: 50%;
        align-items: center;
        justify-content: center;
    }

    .swiper-platform .btn-prev::after,
    .swiper-platform .btn-next::after {
        content: "";
        width: 20%;
        height: 30%;
        position: absolute;
        top: 0; left: 0; bottom: 0; right: 0;
        margin: auto;
        filter: url(#white-overlay);
    }

    .swiper-platform .btn-prev {
        left: 0;
    }

    .swiper-platform .btn-prev::after {
        background: url("../images/icon_swiper_left.svg") left center/contain no-repeat;
    }

    .swiper-platform .btn-next {
        right: 0;
    }

    .swiper-platform .btn-next::after {
        background: url("../images/icon_swiper_right.svg") right center/contain no-repeat;
    }
}
